#Set-PSDebug -Trace 1

if (!$env:logshare) {
    write-host "LogShare must be defined"
    exit 1
}
if (!$env:filesshare) {
    write-host "FilesShare must be defined"
    exit 1
}
if (!$env:filespath) {
    write-host "FilesPath must be defined"
    exit 1
}

if ( (test-path("C:\ProgramData\Docker\secrets\shares.username")) -And (test-path("C:\ProgramData\Docker\secrets\shares.passwd")) ){
    $sh_username=Get-Content -path "C:\ProgramData\Docker\secrets\shares.username"
    $sh_passwd=Get-Content -path "C:\ProgramData\Docker\secrets\shares.passwd"
    New-SmbMapping -RemotePath $env:logshare -UserName $sh_username -Password $sh_passwd
    New-SmbMapping -RemotePath $env:filesshare -UserName $sh_username -Password $sh_passwd
}
else {
    New-SmbMapping -RemotePath $env:logshare
    New-SmbMapping -RemotePath $env:filesshare
}

new-item -ItemType SymbolicLink -path 'C:\Services\Analis\Log' -value $env:logshare -Force
new-item -ItemType SymbolicLink -path $env:filespath -value $env:filesshare -Force

if ( -Not (test-path("C:\Services\Analis\analis.conf")) ){
    move-item -path C:\Services\Analis\analis-default.conf -destination C:\Services\Analis\analis.conf
}

echo -#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=
echo "log start time and args"
date >> C:\Services\Analis\Log\starttime.txt
echo "args are $args" >> C:\Services\Analis\Log\starttime.txt
echo -#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=
echo Get-SmbMapping
Get-SmbMapping
echo -#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=
echo ls C:\Services\Analis\Log
ls C:\Services\Analis\Log
echo -#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=-#=
echo "Starting C:\Services\Analis\AnalisServer.exe $args"
cmd /S /C C:\Services\Analis\AnalisServer.exe $args

ls C:\Services\Analis\
cat C:\Services\Analis\fatal.log